package com.fs.starfarer.api.impl.campaign.rulecmd;

import com.fs.starfarer.api.campaign.CargoAPI;
import kaysaar.aotd_question_of_loyalty.data.intel.AoTDCommIntelPlugin;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.rules.MemoryAPI;
import java.util.Map;
import com.fs.starfarer.api.util.Misc;
import java.util.List;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;

public class AoTDHandleSupplyGiving extends BaseCommandPlugin
{
    public boolean execute(final String ruleId, final InteractionDialogAPI dialog, final List<Misc.Token> params, final Map<String, MemoryAPI> memoryMap) {
        final String command = params.get(0).getString((Map)memoryMap);
        if (command == null) {
            return false;
        }
        CargoAPI deliverCargo = null;
        if (command.equals("toShip")) {
            deliverCargo = Global.getSector().getPlayerFleet().getCargo();
        }
        if (command.equals("toStorage")) {
            deliverCargo = dialog.getInteractionTarget().getMarket().getSubmarket("storage").getCargo();
        }
        AoTDCommIntelPlugin.get().deliverCargo(dialog, deliverCargo);
        return true;
    }
}
